
Redmine - Defect #8936

rescheduling of an issue to an earlier date does not update issues that follow on this issue

2011-07-28 14:29 - Anonymous

Status: Closed Start date: 2011-07-28

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues planning Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

Issue B follows on issue A, (B can only start when A is done). When the due date for issue A is set to an earlier date, the start date of

issue B does not reschedule.

The test for rescheduling does not test this scenario:

 def test_rescheduling_an_issue_should_reschedule_following_issue

    issue1 = Issue.create!(:project_id => 1, :tracker_id => 1, :author_id => 1, :status_id => 1, 

:subject => '-', :start_date => Date.today, :due_date => Date.today + 2)

    issue2 = Issue.create!(:project_id => 1, :tracker_id => 1, :author_id => 1, :status_id => 1, 

:subject => '-', :start_date => Date.today, :due_date => Date.today + 2)

    IssueRelation.create!(:issue_from => issue1, :issue_to => issue2, :relation_type => 

IssueRelation::TYPE_PRECEDES)

    assert_equal issue1.due_date + 1, issue2.reload.start_date

    issue1.due_date = Date.today + 5

    issue1.save!

    assert_equal issue1.due_date + 1, issue2.reload.start_date

  end

 Extending the test to include scheduling the other way (back) too:

 def test_rescheduling_an_issue_should_reschedule_following_issue

    issue1 = Issue.create!(:project_id => 1, :tracker_id => 1, :author_id => 1, :status_id => 1, 

:subject => '-', :start_date => Date.today, :due_date => Date.today + 2)

    issue2 = Issue.create!(:project_id => 1, :tracker_id => 1, :author_id => 1, :status_id => 1, 

:subject => '-', :start_date => Date.today, :due_date => Date.today + 2)

    IssueRelation.create!(:issue_from => issue1, :issue_to => issue2, :relation_type => 

IssueRelation::TYPE_PRECEDES)

    assert_equal issue1.due_date + 1, issue2.reload.start_date

    issue1.due_date = Date.today + 5

    issue1.save!

    assert_equal issue1.due_date + 1, issue2.reload.start_date

    issue1.due_date = Date.today + 2

    issue1.save!

    assert_equal issue1.due_date + 1, issue2.reload.start_date

  end

Related issues:

Has duplicate Redmine - Defect #11549: Start date of 2nd issue does not follo... Closed

Is duplicate of Redmine - Feature #4590: Precede-Follow relation should move ... Closed 2010-01-15

History

#1 - 2011-12-12 15:29 - Cassiano Monteiro

This affects also version 1.1.1 .

#2 - 2011-12-22 17:19 - Mischa The Evil
- Status changed from New to Confirmed

Confirmed on source:/trunk@7970.

#3 - 2013-03-27 04:06 - Mischa The Evil

- Status changed from Confirmed to Needs feedback

Can't test it at the moment but I think this is implemented already via #4590 in Redmine 2.2.0.

#4 - 2019-02-03 19:47 - Marius BĂLTEANU

- Is duplicate of Feature #4590: Precede-Follow relation should move following issues when rescheduling issue earlier added

#5 - 2019-02-03 19:48 - Marius BĂLTEANU

- Status changed from Needs feedback to Closed

- Resolution set to Duplicate

#6 - 2019-02-03 19:48 - Marius BĂLTEANU

Mischa The Evil wrote:

Can't test it at the moment but I think this is implemented already via #4590 in Redmine 2.2.0.

 Indeed, the issue was fixed in #4590.
